package com.bytedance.ies.xelement;

import X.QNZ;
import com.bytedance.covode.number.Covode;
import com.lynx.tasm.behavior.ui.LynxBaseUI;
import com.lynx.tasm.behavior.ui.view.UISimpleView$$PropsSetter;

public class LynxAudio$$PropsSetter extends UISimpleView$$PropsSetter {
    static {
        Covode.recordClassIndex(31952);
    }

    public void setProperty(LynxBaseUI lynxBaseUI, String str, QNZ qnz) {
        LynxAudio lynxAudio = (LynxAudio) lynxBaseUI;
        str.hashCode();
        switch (str.hashCode()) {
            case -1669980826:
                if (str.equals("nativecontrol")) {
                    lynxAudio.setSupportNativeControl(qnz.LIZ(str, false));
                    return;
                }
                break;
            case 114148:
                if (str.equals("src")) {
                    lynxAudio.setSrc(qnz.LIZJ(str));
                    return;
                }
                break;
            case 3322014:
                if (str.equals("list")) {
                    lynxAudio.setList(qnz.LIZJ(str));
                    return;
                }
                break;
            case 3327652:
                if (str.equals("loop")) {
                    lynxAudio.setLoop(qnz.LIZJ(str));
                    return;
                }
                break;
            case 1197813673:
                if (str.equals("nativeplugins")) {
                    lynxAudio.setNativePlugins(qnz.LIZJ(str));
                    return;
                }
                break;
            case 1439562083:
                if (str.equals("autoplay")) {
                    lynxAudio.isAutoPlay(qnz.LIZ(str, false));
                    return;
                }
                break;
            case 1629011506:
                if (str.equals("focusable")) {
                    lynxAudio.setSupportFocusable(qnz.LIZ(str, false));
                    return;
                }
                break;
            case 2095859131:
                if (str.equals("playerType")) {
                    lynxAudio.setPlayerType(qnz.LIZJ(str));
                    return;
                }
                break;
        }
        super.setProperty(lynxBaseUI, str, qnz);
    }
}
